%global commit0 517056f1c9abd20388b712b92f0b23e15f4bf311
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%global varnishver 4.1.8
%global vbranch .v4.1
%global vabi 3.2
%global vabistrict d266ac5c6


Name: vmod-curl
Summary: cURL bindings VMOD for Varnish
Version: 1.0.3
Release: 0.2.20170830git%{vbranch}%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://github.com/varnish/lib%{name}
Source0: https://github.com/varnish/lib%{name}/archive/%{commit0}.tar.gz#/lib%{name}-%{version}.tar.gz

# run varnishd with -j none
# Necessary to make check in el5,6 mock jail
Patch0: vmod-curl-1.0.3-fix-mockrun.el5.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# To make a tarball for building on older distros like el5:
#   git clone https://github.com/varnish/libvmod-curl.git
#   cd libvmod-curl
#   git checkout 517056f
#   ./autogen.sh && ./configure && make && make dist

Requires: varnish = %varnishver
Requires: varnishabi-%vabi
Requires: varnishabi-strict-%vabistrict

BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig
BuildRequires: varnish = %varnishver
BuildRequires: varnish-libs-devel = %varnishver
%if 0%{?el5}
BuildRequires: curl-devel
%else
BuildRequires: libcurl-devel
%endif

# Add these when building from a git checkout
#BuildRequires: autoconf
#BuildRequires: automake
#BuildRequires: libtool
#BuildRequires: python-docutils


%description
This vmod provides cURL bindings for Varnish so you can use Varnish
as an HTTP client and fetch headers and bodies from backends


%prep
%setup -q -n lib%{name}-%{version}
%if 0%{?rhel} == 5 || 0%{?rhel} == 6
%patch0
%endif



%build
# Add this when building from a git checkout (will not work on epel5)
#./autogen.sh  

# Use prebuilt manpage. Remove this when building from a git checkout
export RST2MAN=/bin/true

%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}

# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%check
# https://github.com/varnish/libvmod-curl/issues/36
%if 0%{?rhel} == 6 || 0%{?rhel} == 5
rm src/tests/test11.vtc
%endif

make check


%install
# Clean buildroot on older el variants
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name  '*.a' -exec rm -f {} ';'

# We explicitly add these later
rm -v -f %{buildroot}%{_docdir}/%{name}/LICENSE
rm -f %{buildroot}%{_docdir}/%{name}/README.rst
rm -f %{buildroot}%{_docdir}/%{name}/CHANGES.rst

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%if 0%{?fedora} >= 17 || 0%{?rhel} > 5
%license LICENSE
%else
%doc LICENSE
%endif
%doc README.rst CHANGES.rst
%{_mandir}/man3/*.3*


%changelog
* Wed Aug 30 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.3-0.2.20170830git517056f
- Rebuilt against varnish-4.1.8

* Tue May 24 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.3-0.1.20160524git517056f
- Checked out latest git master
- doc README.rst CHANGES.rst
- Built against varnish-4.1.2
- Removed check #11 for el5,el6, as described in upstream bug #36

* Mon Feb 08 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.2.20160208git19b62be
- Checked out latest git master
- Use license macro also on epel6
- Built against varnish-4.1.1

* Wed Nov 11 2015 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.1.git.b140c7a
- Wrapped for copr/fedora

